## Script (Python) "build_preview"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Build preview
##

from Products.PythonScripts.standard import \
     structured_text, newline_to_br, html_quote
try:
    from Products.PythonScripts.standard import restructured_text
except ImportError:
    restructured_text = structured_text

request = context.REQUEST
form = request.form

if form.has_key('form.button.Preview'):
    title = form.get('title', '')
    text = form.get('text', '')
    text_format = form.get('text_text_format','text/plain')
    parsing_flag = form.get('parsing_flag', 1)
    answers = form.get('answers', '')
    minimum_answers = int(form.get('minimum_answers', 1))
    preview = ''
    
    if answers.strip():
        for answer in answers.split('\n'):
            input_type = 'radio'
            
            if minimum_answers > 1 :
                input_type = 'checkbox'
                
            preview = preview + '<input type="%s" name="poll">%s<br />\n' % (input_type, answer)

    if text_format == 'text/html':
        charset = context.portal_properties.site_properties.default_charset
        errors, output, errordata = context.cbForum_html_tidy(unicode(text, charset))
        text = output.encode(charset)
        #request.set('text', text)
    elif text_format == 'text/structured':
        text = structured_text(text)
    elif text_format == 'text/restructured':
        text = restructured_text(text)
    else:
        text = newline_to_br(html_quote(text))

    if parsing_flag:
        text = context.cbForum_parser(text, mimetype=text_format)

    preview = preview + text
    return preview

return ''