## Script (Python) "forum_add_announcement"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=title, text, sticky_flag=0, parsing_flag=1, text_text_format='text/plain', message_icon='', signature=0, topic_description='', attach=None, description=''
##title=Add new topic
##

ob = context.manage_addAnnouncement(title=title, text=text,
                                    description=description,
                                    sticky_flag=1, message_icon=message_icon,
				    text_text_format=text_text_format,
				    signature=signature, parsing_flag=parsing_flag,
                                    topic_description=topic_description,
				    attach=attach)

if context.portal_membership.checkPermission('View', ob):
    new_context = ob
else:
    new_context = context

if context.isModerated():
    msg = 'Announcement added and waits review.'
else:
    msg = 'Announcement added.'


return state.set(context=new_context, portal_status_message=msg)
