## Script (Python) "forum_add_poll"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=title, answers, text='', sticky_flag=0, parsing_flag=1, text_text_format='text/plain', message_icon='', signature=0, topic_description='', attach=None, description=''
##title=Add new topic
##

ob = context.manage_addPoll(title=title, text=text, answers=answers,
                            description=description,
                            sticky_flag=sticky_flag, attach=attach,
                            message_icon=message_icon, signature=signature,
			    text_text_format=text_text_format,
			    parsing_flag=parsing_flag,
                            topic_description=topic_description)

if context.portal_membership.checkPermission('View', ob):
    new_context = ob
else:
    new_context = context

if context.isModerated():
    msg = 'Poll added and waits review.'
else:
    msg = 'Poll added.'

return state.set(context=new_context, portal_status_message=msg)
