## script (Python) "forum_get_latest_topics"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Get latest topics from all forums
##

brains = context.portal_catalog(
    sort_on='modified', sort_order='reverse',
    meta_type = ('ForumTopic','ForumPoll','ForumContentTopic'))

props = context.portal_cmfboard

count = props.latest_portlet_count
all = props.latest_portlet_all_forums
uids = props.latest_portlet_forums

if brains:
    forums = {}
    topics = {}
    idx = 0
    idx1 = 0
    while 1:
        try:
            brain = brains[idx]
        except IndexError:
            break

        idx += 1

        try:
            topic = brain.getObject()
	    if topic is None:
		continue
        except:
            continue

        try:
            forum = topic.getForum()
        except:
            continue
        
        if forum is None:
	    continue
	
        if not all and (forum.UID() not in uids):
            continue

        
        forum_data = forums.setdefault(forum.UID(), [forum, []])

        if not topics.has_key(topic.UID()):
            msg = getattr(topic, topic.getLastObject())
            forum_data[1].append(msg)
            topics[topic.UID()] = 1
            idx1 += 1

        if idx1 >= count:
            break

    slist = [(data[0].Title(), data) for uid, data in forums.items()]
    slist.sort()

    return [{'forum':data[0],'topics':data[1]} for t, data in slist]
else:
    return []
