## Script (Python) "forum_get_reply_link_to"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=topic, message, page_size, url, member
##title=Get link to last reply
##

mode = topic.forum_get_sort_mode(member);

if mode not in ('older_first','newer_first'):
    mode = 'older_first'

if mode == 'newer_first':
    replies = context.portal_catalog(
        path='/'.join(topic.getPhysicalPath()), sort_on='created', sort_order='reverse')
else:
    replies = context.portal_catalog(
        path='/'.join(topic.getPhysicalPath()), sort_on='created')

msg_id = message.getId()
replies_len = len(replies)

for idx in range(replies_len):
    if replies[idx].getId == msg_id:
        page = int(round(float(idx)/page_size + 0.5)) - 1
        return '%s?b_start:int=%s#%s'%(url, page*page_size, msg_id)

return url
