## Script (Python) "forum_get_slot_poll"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Get poll to display in slot
##

poll = None
    
try:
    poll_slot_configuration = context.portal_cmfboard.getProperty(
        'poll_slot_configuration', None)

    if not poll_slot_configuration:
        poll = None
    elif poll_slot_configuration == 'hidden':
        poll = None
    elif poll_slot_configuration == 'newest':
        results = context.portal_catalog(portal_type='ForumPoll',
                                         sort_on='Date',
                                         sort_order='reverse',
                                         review_state='published')[:1]
        if len(results):
            poll = results[0].getObject()
    else:
        results = context.uid_catalog.searchResults(UID=poll_slot_configuration)[:1]
    
        if len(results):
            poll = results[0].getObject()
except:
    pass

if poll is not None:
    try:
        if poll.UID() == context.UID():
            return None
    except:
        pass

return poll
