# -*- coding: UTF-8 -*-
# -*- Mode: Python; py-indent-offset: 4 -*-
# Authors: Nik Kim <fafhrd@legco.biz> 

from ExtensionClass import Base
from Globals import InitializeClass
from AccessControl import ClassSecurityInfo
from Products.CMFCore.CMFCorePermissions import View
from ForumPermissions import *

class Subscribeable( Base ):
    """ """
    security = ClassSecurityInfo()

    __implements__ = ()

    def manage_afterAdd(self, item, container):
        pass
        
    security.declareProtected(ManageForum, 'getSubscribersList')
    def getSubscribersList(self):
        """ """
        return []

    security.declareProtected(ManageForum, 'removeSubscribers')
    def removeSubscribers(self, ids, noemail=0):
        """ """
        pass

    # from ForumNB
    security.declareProtected(View, 'allowSubscription')
    def allowSubscription(self):
        """ """
        return 0

    # from ForumNB
    security.declareProtected(View, 'allowTopicSubscription')
    def allowTopicSubscription(self):
        """ """
        return 0

    security.declareProtected(View, 'isSubscribed')
    def isSubscribed(self, *args, **kw):
        """ """
        return 0

    security.declarePrivate('sendMessage')
    def sendMessage(self, message, parent=None):
        """ send reply to all subsribed members """
        pass

    security.declareProtected(View, 'subscribe')
    def subscribe(self):
        """ """
        pass
    

InitializeClass(Subscribeable)
