## Script (Python) "forum_add_topic"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=title, text, sticky_flag=0, parsing_flag=1, attach=None, message_icon='', signature=0, authorname='', text_text_format='text/plain', description=''
##title=Add new topic
##

ob = context.manage_addTopic(title, text, sticky_flag=sticky_flag,
                             description=description,
                             message_icon=message_icon,signature=signature,
                             text_text_format=text_text_format, attach=attach,
                             parsing_flag=parsing_flag,authorname=authorname)

if context.portal_membership.checkPermission('View', ob):
    new_context = ob
else:
    new_context = context

if context.isModerated():
    msg = 'Topic added and waits review.'
else:
    msg = 'Topic added.'


return state.set(context=new_context, portal_status_message='Topic added.')
