default_forums = {'members': {'title': 'Member Test Forum', 'transition' : 'members'},
                  'public': {'title': 'Public Test Forum', 'transition' : 'public1'},}

# Create default forums
for id, attrs in default_forums.items():
    new_id = id
    new_title = attrs['title']
    new_transition = attrs['transition']
    
    # Create forum
    context.invokeFactory(type_name='ForumNB', id=new_id, title=new_title)
    
    # Execute a transition
    obj = getattr(context, new_id)
   
    try:
        context.portal_workflow.doActionFor(obj, new_transition)
    except:
        # Transition public1 doesn't exist in initial state
        pass

